/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Breast Tissue Specimen Types
 */
public enum EnumCM_BreastTissueSpecimenTypes {

	//CID 8104 Breast Tissue Specimen Types
	BREAST_DUCT_SAMPLE("breast duct sample"),
	FROZEN_SECTION_BREAST_SAMPLE("frozen section breast sample"),
	LUMPECTOMY_BREAST_SAMPLE("lumpectomy breast sample"),
	SPECIMEN_FROM_BREAST_OBTAINED_BY_EXCISION("specimen from breast obtained by excision"),
	SPECIMEN_FROM_BREAST_OBTAINED_BY_TOTAL_MASTECTOMY("specimen from breast obtained by total mastectomy"),
	SEGMENTECTOMY_BREAST_SAMPLE("segmentectomy breast sample"),
	BREAST_TRU_CUT_BIOPSY_SAMPLE("breast tru-cut biopsy sample"),
	SPECIMEN_FROM_BREAST_OBTAINED_BY_CORE_NEEDLE_BIOPSY("specimen from breast obtained by core needle biopsy"),
	SPECIMEN_FROM_BREAST_STEREOTACTICALLY_GUIDED_CORE_NEEDLE_BIOPSY("specimen from breast, stereotactically guided core needle biopsy"),
	SPECIMEN_FROM_BREAST_BY_INCISIONAL_BIOPSY_OF_BREAST_MASS("specimen from breast by incisional biopsy of breast mass"),
	SPECIMEN_FROM_BREAST_OBTAINED_BY_IMAGE_GUIDED_CORE_BIOPSY("specimen from breast obtained by image guided core biopsy");
	
	private String value;
	
	EnumCM_BreastTissueSpecimenTypes(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
